Bug 190757 - www/serf cause subversion to coredump
Summary: www/serf cause subversion to coredump
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-apache (Nobody)
URL: https://forums.freebsd.org/viewtopic....
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-07 17:06 UTC by Lev A. Serebryakov
Modified: 2014-06-16 13:15 UTC (History)
1 user (show)

See Also:


Attachments
serf-1.3.5/outgoing.c patch (2.59 KB, patch)
2014-06-07 20:37 UTC, Olli Hauer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lev A. Serebryakov freebsd_committer 2014-06-07 17:06:31 UTC
It looks like problem in www/serf cause devel/subversion to core dump in some situations.

More (and fix) could be found in this forum thread:

https://forums.freebsd.org/viewtopic.php?f=43&t=46620&p=260580#p260580
Comment 1 Olli Hauer freebsd_committer 2014-06-07 20:37:54 UTC
Created attachment 143499 [details]
serf-1.3.5/outgoing.c patch
Comment 2 Olli Hauer freebsd_committer 2014-06-07 20:39:55 UTC
Hm, the subversion user mailing lists is full of error reports but there is no concrete patch or a new serf available.

In the list there is a hint to serf r2361 however serf has changed so many code the file cannot be used as drop in replacement.

Since I'm using subversion17 anywhere in production I have no real test case.

Please test the attached patch, build is OK.

PS:
Since subversion18 is the main consumer of serf would you as subversion18 maintainer mind to take over this port?
Comment 3 commit-hook freebsd_committer 2014-06-08 16:27:32 UTC
A commit references this bug:

Author: ohauer
Date: Sun Jun  8 16:26:52 UTC 2014
New revision: 357053
URL: http://svnweb.freebsd.org/changeset/ports/357053

Log:
  - possible fix for all the subversion18 failures
    reported on the subversion-user list and on forums.freebsd.org
  - bump PORTREVISION

  PR:		ports/190757
  Submitted by:	lev
  Obtained from:	https://forums.freebsd.org/viewtopic.php?p=260727#p260727

Changes:
  head/www/serf/Makefile
  head/www/serf/files/patch-outgoing.c
Comment 4 Olli Hauer freebsd_committer 2014-06-08 16:55:16 UTC
The patch was committed,

A quick grep shows there are only three main serf consumers.
- editors/openoffice-4
- editors/openoffice-devel
- devel/subversion (~150 ports depending on devel/subversion)

So to keep response times for devel/subversion short I would prefer to assign
serf to the subversion maintainer lev@ (you) or the ports@ pool.
Comment 5 Lev A. Serebryakov freebsd_committer 2014-06-16 13:15:01 UTC
Looks like latest www/serf works Ok.